/* --------------- Font Family ---------------  - START */
@font-face {
    font-family: 'AvenirLTStd-Black';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-Black.otf') format('opentype');
    /* font-weight: 900; */
    /* font-style: normal; */
}

@font-face {
    font-family: 'AvenirLTStd-BlackOblique';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-BlackOblique.otf') format('opentype');
    /* font-weight: 900; */
    /* font-style: oblique; */
}

@font-face {
    font-family: 'AvenirLTStd-Book';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-Book.otf') format('opentype');
    /* font-weight: 400; */
    /* font-style: normal; */
}

@font-face {
    font-family: 'AvenirLTStd-BookOblique';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-BookOblique.otf') format('opentype');
    /* font-weight: 400; */
    /* font-style: oblique; */
}

@font-face {
    font-family: 'AvenirLTStd-Heavy';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-Heavy.otf') format('opentype');
    /* font-weight: 800; */
    /* font-style: normal; */
}

@font-face {
    font-family: 'AvenirLTStd-HeavyOblique';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-HeavyOblique.otf') format('opentype');
    /* font-weight: 800; */
    /* font-style: oblique; */
}

@font-face {
    font-family: 'AvenirLTStd-Light';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-Light.otf') format('opentype');
    /* font-weight: 300; */
    /* font-style: normal; */
}

@font-face {
    font-family: 'AvenirLTStd-LightOblique';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-LightOblique.otf') format('opentype');
    /* font-weight: 300; */
    /* font-style: oblique; */
}

@font-face {
    font-family: 'AvenirLTStd-Medium';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-Medium.otf') format('opentype');
    /* font-weight: 500; */
    /* font-style: normal; */
}

@font-face {
    font-family: 'AvenirLTStd-MediumOblique';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-MediumOblique.otf') format('opentype');
    /* font-weight: 500; */
    /* font-style: oblique; */
}

@font-face {
    font-family: 'AvenirLTStd-Oblique';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-Oblique.otf') format('opentype');
    /* font-weight: 600; */
    /* font-style: oblique; */
}

@font-face {
    font-family: 'AvenirLTStd-Roman';
    src: url('../Assets/Font/Avenir-font/AvenirLTStd-Roman.otf') format('opentype');
    /* font-weight: 600; */
    /* font-style: normal; */
}

/* --------------- Font Family ---------------  - END */

.banner {
    position: relative;
    width: 100vw;
    height: 50vh;
    max-width: 2560px;
    background-image: url('../Assets/About Page/Support/Partners Banner.jpg');
    background-size: contain;
    background-position: top center;
    background-repeat: no-repeat;
    margin: 0;
}

.banner-text {
    position: absolute;
    top: 45%;
    left: 270px;
    transform: translateY(-50%);
    color: white;
    font-size: 5.5rem;
    font-weight: bold;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    text-align: center;
    width: 200px;
    font-family: 'AvenirLTStd-Heavy';
}

.sub-text {
    /* width: 100vw; */
    max-width: 2560px;
    margin: 0 auto;
    text-align: center;
    font-size: 3rem;
    font-weight: normal;
    color: #333;
    padding: 20px 0;
    font-family: 'AvenirLTStd-Medium';
}

/* start - technical & premium */


/* .container {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 40px;
    flex-wrap: wrap;
} */

.image-box {
    position: relative;
    width: 500px;
    /* Increased width */
    max-width: 100%;
}

.image-box img {
    width: 100%;
    height: auto;
    display: block;
}

/* .image-box .overlay-text {
    position: absolute;
    top: 50%;
    left: 70%;
    transform: translate(-50%, -50%);
    color: black;
    font-size: 32px;
    font-weight: bold;
    text-align: center;
    pointer-events: none;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-family:'AvenirLTStd-Black' ;
} */


.support-title {
    font-size: 3rem;
    /* increased size */
    font-weight: bold;
    color: #333;
    margin: 0;
    font-family: 'AvenirLTStd-Roman';
}

.support-image {
    width: 100%;
    height: auto;
    transform: scale(1.35);
    object-fit: cover;
    transition: transform 0.3s ease;
}

/* featured product */

.featured-container {
    padding: 20px 30px;
    /* background-color: #f9f9f9; */
    text-align: center;
}

.featured-title {
    font-size: 2rem;
    font-weight: bold;
    color: #111;
    font-family: 'AvenirLTStd-Roman';
}

.products {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 5rem;
}

.product-box {
    width: 320px;
    text-align: center;
    color: #333;
    /* border: 1px solid black; */
}

.product-box p {
    font-size: 18px;
    font-family: 'AvenirLTStd-Book';
    text-align: justify;
}


.product-box img {
    width: 80px;
    height: auto;
    margin-bottom: 20px;
}

.product-name {
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 10px;
    color: black;
    font-family: 'AvenirLTStd-Roman';
}



/* premium-support & Technical Support */

.premium-container,
.support-container {
    width: 500px;
    margin: auto;
    text-align: center;


}

.support-container {
    display: flex;
    flex-direction: column;
}

.image-wrapper {
    overflow: hidden;
}


.premium-title {
    font-size: 3rem;
    font-weight: bold;
    color: #333;
    margin: 0;
    font-family: 'AvenirLTStd-Roman';
}

.premium-image {
    width: 500px;
    height: auto;
}

/* premium-paragraph */
.premium-text-container {
    padding: 10px 80px;
    text-align: left;
    max-width: 1000px;
    margin: 0 auto;
}

.premium-heading {
    font-size: 3rem;
    font-weight: bold;
    color: #111;
    margin-bottom: 10px;
    text-align: center;
    font-family: 'AvenirLTStd-Medium';
}

.premium-description {
    font-size: 18px;
    color: #333;
    line-height: 1.6;
    text-align: center;
    font-family: 'AvenirLTStd-Book';
}

/* Above Footer Gradient Bar - START */
.animated-gradient-bar {
    background-image: linear-gradient(90deg, rgb(41, 191, 255), rgb(162, 49, 255), rgb(13, 236, 205), rgb(41, 191, 255));
    background-repeat: repeat-x;
    background-size: 133vw 4px;
    height: 4px;
    animation: gradientScroll 4s linear infinite;
    padding-bottom: 2rem;
}


/* Keyframes for scrolling effect */
@keyframes gradientScroll {
    0% {
        background-position: 0 0;
    }

    100% {
        background-position: -133vw 0;
    }
}

/* Above Footer Gradient Bar - END */



@media (max-width: 768px) {
    .products {
        flex-direction: column;
        align-items: center;
    }

    .product-box {
        max-width: 90%;
    }
}




@media (max-width: 768px) {
    .support-container {
        align-items: center;
        text-align: center;
        padding: 20px;
    }

    .support-title {
        font-size: 3rem;
    }

    .support-image {
        width: 90%;
    }
}

@media (max-width: 768px) {
    .image-box .overlay-text {
        font-size: 20px;
    }
}


/* @media (max-width: 2560px) {
    .banner {
        height: calc(576px * (100vw / 2560px));
        background-size: contain;
        background-position: top center;
    }
} */


@media (max-width: 768px) {
    .premium-container {
        align-items: center;
        text-align: center;
        padding: 20px;
    }

    .premium-title {
        font-size: 22px;
    }

    .premium-image {
        width: 90%;
    }
}


@media (max-width: 768px) {
    .premium-text-container {
        padding: 20px;
        text-align: center;
    }

    .premium-heading {
        font-size: 22px;
    }

    .premium-description {
        font-size: 14px;
    }
}

/* --------------- GIS Partner and Become a Partner Section ---------------  - START */
.partner-card {
    position: relative;
    /* height: 355px; */
    height: 300px;
    overflow: hidden;
    cursor: pointer;
    /* flex: 1 1 48%; */
    margin: 1%;
    border: 1px solid gray;
    border-radius: 5px;
    width: 40%;
}

.partner-card img {
    position: absolute;
    top: 0;
    left: -27px;
    height: 100%;
    object-fit: contain;
    z-index: 0;
    margin: 0;
    transition: transform 0.4s ease, filter 0.4s ease;
    border-radius: 4px;
}

.partner-card:hover img {
    transform: scale(1.05);
}

/* .partner-card .overlay {
    position: absolute;
    top: 0.5rem;
    left: 0.5rem;
    right: 0.5rem;
    bottom: 0.5rem;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
    overflow: hidden;
    border-radius: 4px;
} */

.partner-card h2 {
    position: absolute;
    bottom: 45%;
    left: 60%;
    transform: translateX(-50%);
    color: rgb(14, 27, 139);
    font-family: AvenirLTStd-Heavy;
    margin: 0;
    z-index: 2;
    font-size: 3rem;
    width: max-content;
}

.partner-cards-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 0;
    margin: 0 auto;
    justify-content: center;
    padding: 0;
    width: 100%;
}

.partner-card a {
    text-decoration: none;
    position: absolute;
    inset: 0;
    display: block;
    z-index: 3;
}

@media (max-width: 768px) {
    .partner-card {
        flex: 1 1 100%;
    }
}


/*---------------------------------- RESPONSIVENESS SECTION ----------------------------------*/

/* 4K Desktop Monitor - 3840x2160 */
@media (min-width: 2561px) {
    /* Styles for 4K+ screens */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/2560-1080-10.jpg");
        height: 54vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        top: 47%;
        left: 21%;
        font-size: 4.5rem;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 3rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-card{
        width: 37%;
    }
    .partner-card h2 {
        font-size: 3rem;
        bottom: 42%;
        left: 65%;
    } 

    .product-box {
        width: 22rem;
    }

    .partner-cards-wrapper {
        gap: 2%;
        width: 90%;
    }

    .partner-card img {
        width: 75%;
    };

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        display: flex;
        align-items: center;
        width: 45rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 30rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1.3) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 3rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 25rem;
        font-size: 2rem;
        margin-bottom: 2.5rem;
    }

    .product-name {
        font-size: 1.563rem;
    }

    .product-box p {
        font-size: 1.25rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 30rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 3rem;
        width: 25rem;
    }

    .premium-heading {
        font-size: 2rem;
    }

    .premium-description {
        font-size: 1.5rem;
    }
}

/* Ultrawide Monitor - 2560x1080 */
@media (max-width: 2560px) {
    /* Styles for ultrawide monitors */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/2560-1080-10.jpg");
        height: 54vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        top: 47%;
        left: 21%;
        font-size: 4.5rem;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 3rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-card{
        width: 37%;
    }
    .partner-card h2 {
        font-size: 3rem;
        bottom: 42%;
        left: 65%;
    } 

    .product-box {
        width: 22rem;
    }

    .partner-cards-wrapper {
        gap: 2%;
        width: 90%;
    }

    .partner-card img {
        width: 75%;
    };

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        display: flex;
        align-items: center;
        width: 45rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 30rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1.3) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 3rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 25rem;
        font-size: 2rem;
        margin-bottom: 2.5rem;
    }

    .product-name {
        font-size: 1.563rem;
    }

    .product-box p {
        font-size: 1.25rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 30rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 3rem;
        width: 25rem;
    }

    .premium-heading {
        font-size: 2rem;
    }

    .premium-description {
        font-size: 1.5rem;
    }
}

/* Dell Latitude 7490 / Samsung S24C350L Monitor - 1920x1080 */
@media (max-width: 1920px) {
    /* Styles for standard monitors */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/1920-800-09.jpg");
        height: 54vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        top: 47%;
        left: 13%;
        font-size: 4.5rem;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 3rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-card h2 {
        font-size: 3rem;
        bottom: 42%;
        left: 62%;
    } 

    .product-box {
        width: 22rem;
    }

    .partner-cards-wrapper {
        gap: 2%;
    }

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        display: flex;
        align-items: center;
        width: 45rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 30rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1.3) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 3rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 25rem;
        font-size: 2rem;
        margin-bottom: 2.5rem;
    }

    .product-name {
        font-size: 1.563rem;
    }

    .product-box p {
        font-size: 1.25rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 30rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 3rem;
        width: 25rem;
    }

    .premium-heading {
        font-size: 2rem;
    }

    .premium-description {
        font-size: 1.5rem;
    }
    .partner-card img {
        position: absolute;
        top: 0;
        left: -32px;
        height: 100%;
        object-fit: contain;
        z-index: 0;
        margin: 0;
        transition: transform 0.4s ease, filter 0.4s ease;
        border-radius: 4px;
    }
}

/* MacBook Pro 16" (M3) – Scaled to ~1728x1117 */
@media (max-width: 1728px) {
    /* Styles for retina laptops (can fine-tune height too) */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/1728-760-08.jpg");
        height: 52vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        top: 47%;
        left: 15%;
        font-size: 4rem;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 2.5rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-card h2 {
        font-size: 2.3rem;
    } 

    .product-box {
        width: 22rem;
    }

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        display: flex;
        align-items: center;
        width: 45rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 30rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1.3) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 2.7rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 25rem;
        font-size: 2rem;
        margin-bottom: 2.5rem;
    }

    .product-name {
        font-size: 1.563rem;
    }

    .product-box p {
        font-size: 1.25rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 30rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 2.7rem;
        width: 25rem;
    }

    .premium-heading {
        font-size: 2rem;
    }

    .premium-description {
        font-size: 1.5rem;
    }
}

/* HP EliteBook 820 G3 - 1366x768 */
@media (max-width: 1366px) {
    /* Styles for smaller laptops */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/1366-760-07.jpg");
        height: 60vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        left: 11%;
        font-size: 4rem;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 2.5rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-card h2 {
        font-size: 2.3rem;
    } 

    .product-box {
        width: 25rem;
    }

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        display: flex;
        align-items: center;
        width: 45rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 30rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1.3) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 2.7rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 25rem;
        font-size: 2rem;
        margin-bottom: 2.5rem;
    }

    .product-name {
        font-size: 1.563rem;
    }

    .product-box p {
        font-size: 1.25rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 30rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 2.7rem;
        width: 25rem;
    }

    .premium-heading {
        font-size: 2rem;
    }

    .premium-description {
        font-size: 1.5rem;
    }
    
}

/* iPad 9th Gen (Landscape) - 1080x810 approx. */
@media (max-width: 1080px) {
    /* Styles for landscape tablets or large phones */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/1080-760-06.jpg");
        height: 75vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        left: 8%;
        font-size: 4rem;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 2.5rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-cards-wrapper{
        margin: 0.5rem auto;
        width: 100%;
        gap: 2rem;
    }

    .partner-card {
        height: 14.375rem;
        width: 45rem;
    }

    .partner-card h2 {
        width: 20rem;
        text-align: center;
        bottom: 42%;
        font-size: 2.2rem;
    }

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        display: flex;
        align-items: center;
        width: 45rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 30rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1.3) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 2.7rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 25rem;
        font-size: 2rem;
        margin-bottom: 2.5rem;
    }

    .product-name {
        font-size: 1.563rem;
    }

    .product-box p {
        font-size: 1.25rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 30rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 2.7rem;
        width: 25rem;
    }

    .premium-heading {
        font-size: 2rem;
    }

    .premium-description {
        font-size: 1.5rem;
    }
}

/* iPad 9th Gen (Portrait) - 768x1024 */
@media (max-width: 768px) {
    /* Styles for portrait tablets */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/768-760-05.jpg");
        height: 88vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        left: 5%;
        font-size: 4rem;
    }
    .partner-card img {
        /* position: absolute; */
        left: 0px;   
    }
    .partner-card .img-premium{
        margin-left: 0px !important;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 2.5rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-cards-wrapper{
        margin: 0.5rem auto;
        width: 80%;
    }

    .partner-card {
        height: 14.375rem;
    }

    .partner-card h2 {
        width: 20rem;
        text-align: center;
        bottom: 42%;
        font-size: 2.2rem;
    }

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 30rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 2.3rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 20rem;
        font-size: 2.3rem;
        margin-bottom: 2rem;
    }

    .products {
        width: 30rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 30rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 2.3rem;
        width: 20rem;
    }

    .premium-heading {
        font-size: 1.6rem;
    }

    .premium-description {
        font-size: 1.2rem;
    }

}

/* 436x932 */
@media (max-width: 436px) {
    /* Styles for large phones */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/430-760-04.jpg");
        height: 88vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        left: 7%;
        font-size: 4rem;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 2.5rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-cards-wrapper{
        margin: 0.5rem auto;
    }

    .partner-card {
        height: 14.375rem;
    }

    .partner-card h2 {
        width: 5rem;
        text-align: center;
        bottom: 32%;
        font-size: 2.2rem;
    }

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 20rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 2.3rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 20rem;
        font-size: 2.3rem;
        margin-bottom: 2rem;
    }

    .products {
        width: 26rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 2.3rem;
        width: 20rem;
    }

    .premium-heading {
        font-size: 1.6rem;
    }

    .premium-description {
        font-size: 1.2rem;
    }

}

/* iPhone 15 Plus / iPhone 15 Pro Max / Galaxy S23 - ~430x932 */
@media (max-width: 430px) {
    /* Styles for large phones */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/430-760-04.jpg");
        height: 88vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        left: 7%;
        font-size: 4rem;
        top: 24.375rem;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 2.5rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-cards-wrapper{
        margin: 0.5rem auto;
    }

    .partner-card {
        height: 14.375rem;
    }

    .partner-card h2 {
        width: 5rem;
        text-align: center;
        bottom: 32%;
        font-size: 2.2rem;
    }

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 20rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 2.3rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 20rem;
        font-size: 2.3rem;
        margin-bottom: 2rem;
    }

    .products {
        width: 26rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 2.3rem;
        width: 20rem;
    }

    .premium-heading {
        font-size: 1.6rem;
    }

    .premium-description {
        font-size: 1.2rem;
    }

}

/* Motorola G73 / iPhone 15 Pro - 393x852 */
@media (max-width: 393px) {
    /* Styles for Motorola G73 / iPhone 15 Pro */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/393-760-03.jpg");
        height: 88vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        left: 7%;
        font-size: 4rem;
        top: 22.25rem;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 2.5rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-cards-wrapper{
        margin: 0.5rem auto;
    }

    .partner-card {
        height: 14.375rem;
    }

    .partner-card h2 {
        width: 5rem;
        text-align: center;
        bottom: 32%;
        font-size: 2.2rem;
    }

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 20rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 2.3rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 20rem;
        font-size: 2.3rem;
        margin-bottom: 2rem;
    }

    .products {
        width: 24rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 2.3rem;
        width: 20rem;
    }

    .premium-heading {
        font-size: 1.6rem;
    }

    .premium-description {
        font-size: 1.2rem;
    }

}

/* Motorola 662 - 360x800 */
@media (max-width: 360px) {
    /* Styles for Motorola 662 or similar */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/360-760-02.jpg");
        height: 88vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        left: 5%;
        font-size: 4rem;
        top:22.8rem
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 2.5rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-cards-wrapper{
        margin: 0.5rem auto;
    }

    .partner-card {
        height: 14.375rem;
    }

    .partner-card h2 {
        width: 5rem;
        text-align: center;
        bottom: 35%;
        font-size: 1.7rem;
    }

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 20rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 2rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 17rem;
        font-size: 2rem;
        margin-bottom: 2rem;
    }

    .products {
        width: 22rem;
    }


    /*---------- Premium Support Section ----------*/

    .premium-container {
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 2rem;
    }

    .premium-heading {
        font-size: 1.4rem;
    }

    .premium-description {
        font-size: 1rem;
    }

}

/* iPhone 5 / SE (1st Gen) - 320x568 */
@media (max-width: 320px) {
    /* Styles for very small screens */

    /*---------- Banner Section ----------*/
    .banner {
        background-image: url("../Assets/About Page/Support/320-760-01.jpg");
        height: 88vh;
        background-size: cover;
        background-position: center;
    }

    .banner-text {
        left: 3%;
        font-size: 4rem;
        top: 22.3rem;
    }

    /*---------- Below Banner Text Section ----------*/

    .sub-text {
        font-size: 2.5rem;
        padding: 1.25rem 0.7rem;
    }

    /*---------- Card Section ----------*/

    .partner-cards-wrapper{
        margin: 0.5rem auto;
    }

    .partner-card {
        height: 14.375rem;
    }

    .partner-card h2 {
        width: 5rem;
        text-align: center;
        bottom: 35%;
        font-size: 1.7rem;
    }

    /*---------- Technical Support Section ----------*/
    
    .support-container {
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .image-wrapper {
        width: 20rem;
    }

    .support-image {
        width: 100% !important;
        transform: scale(1) !important;
        object-fit: contain;
    }

    .support-title {
        font-size: 2rem;
    }


    .support-container {
        padding: 10px;
    }

    /*---------- Featured Produtcs Section ----------*/

    .featured-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 1.25rem 0.938rem;
    }
    .featured-title {
        width: 17rem;
        font-size: 2rem;
        margin-bottom: 2rem;
    }

    .products {
        width: 20rem;
    }

    /*---------- Premium Support Section ----------*/

    .premium-container {
        width: 20rem;
        padding: 1.5rem 1rem;
    }

    .premium-title{
        font-size: 2rem;
    }

    .premium-heading {
        font-size: 1.4rem;
    }

    .premium-description {
        font-size: 1rem;
    }
}